CIF_VALIDATE(1)

NAME
cif_validate - validate CIF files against CIF dictionaries (DDL1 or DDLm).

SYNOPSIS
cif_validate --dictionaries 'cif_core.dic,cif_cod.dic' --options input1.cif input*.cif

DESCRIPTION
Validate CIF files against CIF dictionaries (DDL1 or DDLm).

OPTIONS
-d, --dictionaries 'cif_core.dic,cif_cod.dic'
                  A list of CIF dictionaries that the CIF files should
                  be validated against. May include DDL1 and DDLm
                  dictionaries. The order of DDL1 dictionaries
                  in the list is important (see --ddl1-dictionaries).
                  List elements are separated either by ',' or by ' '.
                  To include dictionaries with filenames containing
                  these symbols, the --add-dictionary option should
                  be used.

-D, --add-dictionary 'cif new dictionary.dic'
                  Add an additional CIF dictionary to the end of the list.

--clear-dictionaries
                  Remove all CIF dictionaries from the list.

--ddl1-dictionaries 'cif_core.dic,cif_cod.dic'
                  A list of DDL1 dictionaries that the CIF files should
                  be validated against. The order of dictionaries in
                  the list is important as it determines the dictionary
                  merge order. The first DDL1 dictionary serves as the
                  base while the remaining ones are merged sequentially
                  using the OVERLAY mode. DDL1 dictionaries provided in
                  the generic dictionary list (see --dictionaries) are
                  appended to the end of this list.
                  List elements are separated either by ',' or by ' '.
                  To include dictionaries with filenames containing
                  these symbols, the --ddl1-add-dictionary option
                  should be used.

--ddl1-add-dictionary
                  Add an additional dictionary to the end of DDL1
                  dictionary list.

--ddl1-clear-dictionaries
                  Remove all dictionaries from the DDL1 dictionary list.

--merge-ddl1-dictionaries
                  Merge all DDL1 dictionaries into a single virtual
                  dictionary prior to validation. Default.

--no-merge-ddl1-dictionaries
                  Do not merge DDL1 dictionaries into a single virtual
                  dictionary prior to validation. Using this option
                  may result in incorrect validation results.

--ddlm-dictionaries
                  A list of DDLm dictionaries that the CIF files should
                  be validated against. DDLm dictionaries provided in
                  the generic dictionary list (see --dictionaries) are
                  appended to the end of this list.
                  List elements are separated either by ',' or by ' '.
                  To include dictionaries with filenames containing
                  these symbols, the --ddlm-add-dictionary option
                  should be used.

--ddlm-add-dictionary
                  Add an additional dictionary to the end of DDLm
                  dictionary list.

--ddlm-clear-dictionaries
                  Remove all dictionaries from the DDLm dictionary list.

-I, --add-ddlm-import-path './ddlm/cod/'
                  Prepend an additional directory to the dictionary
                  import path. The dictionary import path specifies
                  a list of directories in which to look for files
                  that are imported by DDLm-compliant CIF dictionaries.
                  Directories provided using this option are assigned
                  the highest priority and are searched prior to
                  the directories listed in the COD_TOOLS_DDLM_IMPORT_PATH
                  environment variable or the default import path
                  (directory of the importing dictionary).

--clear-ddlm-import-path
                  Remove all directories from the dictionary import path
                  that were added using the --add-ddlm-import-path option.
                  Neither COD_TOOLS_DDLM_IMPORT_PATH environment variable
                  nor the default import path is affected by this option.

--max-message-count 5
                  Maximum number of validation messages that are reported
                  for each unique combination of validation criteria and
                  validated data items. Provide a negative value (e.g. -1)
                  to output all of the generated validation messages.
                  Default: -1.

--range-su-multiplier 3.5
                   Multiplier that should be applied to the standard
                   uncertainty (s.u.) when determining if a numeric
                   value resides in the specified range. For example,
                   a multiplier of 3.5 means that the value is treated
                   as valid if it falls in the interval of
                   [lower bound - 3.5 * s.u.; upper bound + 3.5 * s.u.].
                   Default: 3.

--treat-as-set _atom_site_refinement_flags
                  Treat values of given data items as a set. Due to
                  historical reasons data values of some data items
                  are sometimes formed by concatenating several of
                  the available enumeration values. Any number of data
                  items can be provided in the following way:
                  cif_validate --treat-as-set _tag_1 --treat-as-set _tag_2
                  Default: '_atom_site_refinement_flags'.

--no-treat-as-set
                  Do not treat values of any data items as sets.
                  (see --treat-as-set).

--report-deprecated
                  Report the presence of data items that are marked as
                  deprecated in the dictionaries. Data item deprecation
                  usually means that it has been replaced with other
                  data items.

--no-report-deprecated, --ignore-deprecated
                  Do not report presence of data items that are marked
                  as deprecated in the dictionaries. Default.

--report-local-tags
                  Report the presence of local data items.

--no-report-local-tags, --ignore-local-tags
                  Do not report the presence of local data items. Default.

--ignore-case
                  Ignore letter case while validating enumeration values.
                  For example, even though '_atom_site_adp_type' is
                  restricted to values ('Uani', 'Uiso', 'Uovl', ...),
                  value 'UANI' would still be treated as valid.
                  Applies only to DDL1 dictionaries.

--respect-case, --case-sensitive, --dont-ignore-case
                  Respect letter case while validating enumeration
                  values. Default.
                  Applies only to DDL1 dictionaries.

--allow-double-precision-notation
                  Treat numbers expressed using the double precision
                  notation (e.g. 0.42D+7) as proper numbers in a way
                  that is compatible with DDL1, but not the CIF_1.1
                  syntax.
                  Applies only to DDL1 dictionaries.

--no-allow-double-precision-notation
                  Treat numbers expressed using the double precision
                  notation (e.g. 0.42D+7) as character strings in a
                  way compatible with the CIF_1.1 syntax, but does not
                  cover the full extent of the DDL1 numbers variations.
                  Default.
                  Applies only to DDL1 dictionaries.

--report-missing-su
                  Report measurand data items that are not accompanied by
                  standard uncertainty values. This behaviour follows the
                  requirements imposed by the DDLm reference dictionary
                  prior to version 4.0.1.
                  Applies only to DDLm dictionaries.

--no-report-missing-su, --ignore-missing-su
                  Do not report measurand data items that are not
                  accompanied by standard uncertainty values. This
                  behaviour follows the requirements imposed by
                  the DDLm reference dictionary since version 4.0.1.
                  Default.
                  Applies only to DDLm dictionaries.

--use-perl-parser
                  Use Perl parser to parse CIF files.

--use-c-parser
                  Use C parser to parse CIF files. Default.

-c, --always-continue
                  Continue processing and return successful return status
                  even if errors are diagnosed.

-c-, --always-die
                  Stop and return error status if errors are diagnosed.

--continue-on-errors
                  Do not terminate script if errors are raised.

--die-on-errors
                  Terminate script immediately if errors are raised.
                  Default.

--continue-on-warnings
                  Do not terminate script if warnings are raised. Default.

--die-on-warnings
                  Terminate script immediately if warnings are raised.

--continue-on-notes
                  Do not terminate script if notes are raised. Default.

--die-on-notes
                  Terminate script immediately if notes are raised.

--help, --usage
                  Output a short usage message (this message) and exit.

-v, --version
                  Output version information and exit.

ENVIRONMENT
COD_TOOLS_DDLM_IMPORT_PATH
                  A list of directories in which to look for the
                  DDLm-compliant CIF dictionaries that are imported
                  by other DDLm-compliant CIF dictionaries. List
                  elements are separated by the colon symbol (':').
                  Directories listed in COD_TOOLS_DDLM_IMPORT_PATH
                  have a lower priority than those provided using
                  the command line option (--add-dictionary-import-path),
                  but higher than the default import path directory
                  (directory of the importing dictionary).

REPORTING BUGS
Report cif_validate bugs using e-mail: cod-bugs@ibt.lt